/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*! \file BookmarksWidget.cpp
    \brief Implements bookmarks management widget. Allows user to show all
           or remove all bookmarks

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#include "BookmarksWidget.h"


BookmarksWidget::BookmarksWidget(GUIInterface *parent) :
    QDialog(parent)
{
    setWindowTitle(tr("Bookmarks"));

    setModal(true);

    verticalLayout = new QVBoxLayout(this);
    setLayout(verticalLayout);

    showAllBookmarksPushButton = new QPushButton(tr("Show all bookmarks"),this);
    removeAllBookmarksPushButton =
            new QPushButton(tr("Remove all bookmarks"),this);

    verticalLayout->addWidget(showAllBookmarksPushButton);
    verticalLayout->addWidget(removeAllBookmarksPushButton);

    connect(showAllBookmarksPushButton, SIGNAL(clicked()),
            this, SIGNAL(showAllBookmarks()));

    connect(removeAllBookmarksPushButton, SIGNAL(clicked()),
            this, SIGNAL(removeAllBookmarks()));
}


