/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*! \file MenuTabWidget.h
    \brief Menu's main widget

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#ifndef MENUTABWIDGET_H
#define MENUTABWIDGET_H
#include <QTabWidget>

/*!
  Menu's main widget, which will hold all submenu's widgets.
  It is simply QTabWidget, with changed hideEvent function.
*/
class MenuTabWidget : public QTabWidget {
    Q_OBJECT
public:
    explicit MenuTabWidget(QWidget *parent = 0);

protected:
    /*!
      Reimplemented default hideEvent function.
      Right before hiding widget it sets its parent to 0 (NULL), which prevents
      widget from being deleted by menu bar.
    */
    void hideEvent(QHideEvent *);
};

#endif // MENUTABWIDGET_H
