import Qt 4.7

Rectangle {
    id: rectangle

    property alias pathToIcon: image.source;
    property int iconWidth:rectangle.width;
    property int iconHeight:rectangle.height;

    signal clicked;
    radius: 50

    MouseArea {
        id: mouseArea
        anchors.centerIn: parent;
        width: rectangle.width
        height: rectangle.height;
        onClicked: {
            rectangle.clicked();
        }
    }

    Image {
        id: image
        z:4;
        anchors.centerIn: parent
        width: iconWidth;
        height: iconHeight;
    }

    Image {
        id: image1
        z: 1
        smooth: true
        width: (35*parent.height)/107 +1
        height: parent.height
        anchors.left: parent.left
        source: "qrc:/button/buttonLeft.png"
    }

    Image {
        id: image3
        z: 1
        smooth: true
        width: parent.width - (70*parent.height)/107 +1
        height: parent.height
        anchors.horizontalCenter: parent.horizontalCenter
        source: "qrc:/button/buttonCenter.png"

    }


    Image {
        id: image2
        z: 1
        smooth: true
        width: (35*parent.height)/107 +1
        height: parent.height
        anchors.right: parent.right
        source: "qrc:/button/buttonR.png"
    }


    states: [
        State {
            name: "disable";
            when: (rectangle.enabled == false);
            PropertyChanges { target: image1; source: "qrc:/button/buttonLeftDisabled.png" }
            PropertyChanges { target: image3; source: "qrc:/button/buttonCenterDisabled.png" }
            PropertyChanges { target: image2; source: "qrc:/button/buttonRightDisabled.png" }
        },
        State {
            name: "clicked";
            when: (mouseArea.pressed == true && rectangle.enabled == true);
            PropertyChanges { target: image1; source: "qrc:/button/buttonLeftPushed.png" }
            PropertyChanges { target: image3; source: "qrc:/button/buttonCenterPushed.png" }
            PropertyChanges { target: image2; source: "qrc:/button/buttonRightPushed.png" }
        }
    ]
}
