import Qt 4.7

Rectangle {
    id: rectangle1
    radius: 10
    border.color: "#000666";
    property int maxValue:500;
    property int minValue:0;
    property alias value:text_input1.text

    signal valueChange(int intiger);

    function stringToInt(string){
        var value=0;
        var pow10=1;
        for (var i=string.length-1;i>=0;i--){
            value+=(string.charCodeAt(i)-48)*pow10;
            pow10= pow10*10;
        }
        if(value>maxValue)
            return maxValue;
        if(value<minValue)
            return minValue;
        return value;
    }

    TextInput {
        id: text_input1
        x: 1
        width: rectangle1.width-15
        height: rectangle1.height*0.6;
        text: "123"
        anchors.centerIn: parent
        validator: IntValidator{bottom: minValue; top: maxValue;}
        transformOrigin: Item.Left
        selectByMouse: true;
        font.pixelSize: rectangle1.height * .5;
        onCursorPositionChanged:  moveCursorSelection(cursorPosition);
        onTextChanged: rectangle1.valueChange(stringToInt(text_input1.text));
        onFocusChanged: {
            if(focus==false)
               text=stringToInt(text);
        }
    }

    Timer {
        id:timerUp;
        interval: 100;
        running: false;
        repeat: true
        onTriggered:{
            if(mouseAreaUp.pressedButtons==Qt.LeftButton)
                text_input1.text=((stringToInt(text_input1.text)+1)>maxValue)?(maxValue):(stringToInt(text_input1.text)+1);
            else
                running=false;
        }
    }

    Timer {
        id:timerDown;
        interval: 100;
        running: false;
        repeat: true
        onTriggered:{
            if(mouseAreaDown.pressedButtons==Qt.LeftButton)
                text_input1.text=((stringToInt(text_input1.text)-1)<minValue)?(minValue):(stringToInt(text_input1.text)-1);
            else
                running=false;
        }
    }

    Rectangle {
        id: shadeDisable
        width:  parent.width;
        height: parent.height;
        anchors.centerIn: parent;
        radius: parent.radius
        color: "grey";
        opacity: 0
    }

    Image {
        id: imageUp
        z:4;
        width: 11;
        height: 6;
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.rightMargin: 2
        anchors.topMargin: 2
        source: "qrc:/button/up_enable.png";
    }

    Image {
        id: imageDown
        z:4;
        width: 11;
        height: 6;
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        anchors.rightMargin: 2
        anchors.bottomMargin: 2
        source: "qrc:/button/down_enable.png";
    }

    MouseArea {
        id: mouseAreaUp
        z:5
        width: 13;
        height: rectangle1.height/2;
        anchors.right: parent.right
        anchors.top: parent.top
        onClicked: text_input1.text=((stringToInt(text_input1.text)+1)>maxValue)?(maxValue):(stringToInt(text_input1.text)+1);
        onPressAndHold:{
            timerUp.restart;
            timerUp.running=true;
        }
    }

    MouseArea {
        id: mouseAreaDown
        z:5
        width: 13;
        height: rectangle1.height/2;
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        onClicked: text_input1.text=((stringToInt(text_input1.text)-1)<minValue)?(minValue):(stringToInt(text_input1.text)-1);
        onPressAndHold:{
            timerDown.restart;
            timerDown.running=true;
        }
    }

   /* states: [
        State {
            name: "DisableState"; when: rectangle1.enabled==false;
            PropertyChanges { target: shadeDisable; z: 3; opacity: 0.5 }
        }
    ]
    */
}

