/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*! \file GoogleDictDialog.cpp
    \brief Class launches dialog which generates a new dictionary, or changes
    settings

    \author Jakub Jaszczynski <j.j.jaszczynski@gmail.com>
*/

#include "GoogleDictDialog.h"
#include "GoogleDialog.h"

GoogleDictDialog::GoogleDictDialog(GooglePlugin *plugin, QObject *parent) :
    DictDialog(parent) {
    this->plugin = plugin;
}


Settings* GoogleDictDialog::addNewDictionary(QWidget *parent) {
    GoogleDialog d(0, GoogleDialog::New, parent);

    connect(&d, SIGNAL(notify(Notify::NotifyType,QString)),
            this, SIGNAL(notify(Notify::NotifyType,QString)));

    if(d.exec() == QDialog::Accepted)
        return d.getSettings();
    return 0;
}

void GoogleDictDialog::changeSettings(QWidget * parent) {
    GoogleDialog d(plugin, GoogleDialog::Change, parent);

    connect(&d, SIGNAL(notify(Notify::NotifyType,QString)),
            this, SIGNAL(notify(Notify::NotifyType,QString)));

    if(d.exec() == QDialog::Accepted)
        plugin->setSettings(d.getSettings());
}

