/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*!
    \file StarDictReaderFactory.h
    \brief Class used to creating StarDictReader objects, based on filename it creates

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
 */

#ifndef STARDICTREADERFACTORY_H
#define STARDICTREADERFACTORY_H
#include "StarDictReader.h"

/*!
    Class used to creating StarDictReader objects, based on filename it creates
    compressed or uncompressed reader.
*/
class StarDictReaderFactory
{
public:
    //! Creates new StarDictReader suitable for passed file
    static StarDictReader* createReader(QString file);
};

#endif // STARDICTREADERFACTORY_H
