/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*!
    \file XdxfCachingDialog.h
    \brief Shows dialog with progress of dictionary caching

    \author Mateusz Półrola <mateusz.polrola@gmail.com>
*/


#ifndef XDXFCACHINGDIALOG_H
#define XDXFCACHINGDIALOG_H

#include <QDialog>
#include <QtGui>


class XdxfPlugin;

/*!
    Displays progress bar and estimated time left of caching
*/
class XdxfCachingDialog : public QDialog
{
    Q_OBJECT
public:
    explicit XdxfCachingDialog(QWidget *parent = 0);

public Q_SLOTS:
    //! Overload function from QDialog, this function does nothing
    void reject() { return;}

    //! update progresBar and print text with time to end caching
    void updateCachingProgress(int, int);

Q_SIGNALS:
    //! signal emitted when user cancels caching of a dictionary
    void cancelCaching();


private:
    QLabel* cachingLabel;
    QLabel* cachingTimeLabel;
    QProgressBar* cachingProgressBar;
    QPushButton* cancelButton;
    QVBoxLayout* verticalLayout;
    //! used to check the progress of dictionary caching
    QTime time;
};

#endif // XDXFCACHINGDIALOG_H
