/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*!
    \file XdxfDictDialog.h
    \brief Implementation of DictDialog interface for xdxf plugin

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#ifndef XDXFDICTDIALOG_H
#define XDXFDICTDIALOG_H

#include "../../include/DictDialog.h"

class XdxfPlugin;

class XdxfDictDialog : public DictDialog {
    Q_OBJECT
public:
    explicit XdxfDictDialog(XdxfPlugin* plugin, QObject *parent = 0);
    /*!
        Shows "add new xdxf dictionary" dialog and returns settings of a new dict
        \param parent parent widget on which dialog will be displayed
      */
    Settings* addNewDictionary(QWidget *parent);

    /*!
        Shows settings dialog and saves new settings in plugin
        \param parent parent widget on which dialog will be displayed
    */
    void changeSettings(QWidget *parent);

    //! Returns last parent of this dialog
    QWidget* lastDialogParent();

    //! Sets last parent of this dialog
    void setLastDialogParent(QWidget*);

private:
    XdxfPlugin* plugin;
    QWidget* _lastDialogParent;
};

#endif // XDXFDICTDIALOG_H
